This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 569160 - SELinux is preventing /bin/plymouth access to a leaked /var/log/cobbler/tasks/2010-02-28_130429_sync.log file descriptor.
SELinux is preventing /bin/plymouth access to a leaked /var/log/cobbler/tasks...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:681bf006e60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-28 09:11 EST by Simon
Modified: 2010-12-03 17:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon 2010-02-28 09:11:26 EST
Summary:

SELinux is preventing /bin/plymouth access to a leaked
/var/log/cobbler/tasks/2010-02-28_130429_sync.log file descriptor.

Detailed Description:

[plymouth has a permissive type (plymouth_t). This access was not denied.]

SELinux denied access requested by the plymouth command. It looks like this is
either a leaked descriptor or plymouth output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /var/log/cobbler/tasks/2010-02-28_130429_sync.log. You should generate a
bugzilla on selinux-policy, and it will get routed to the appropriate package.
You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:plymouth_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/cobbler/tasks/2010-02-28_130429_sync.log
                              [ file ]
Source                        plymouth
Source Path                   /bin/plymouth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           plymouth-0.8.0-0.2009.29.09.19.3.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-89.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.22.fc12.i686.PAE #1 SMP Fri Feb 19
                              19:10:04 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Sun 28 Feb 2010 13:04:30 GMT
Last Seen                     Sun 28 Feb 2010 13:04:30 GMT
Local ID                      6a6839ed-9611-4a0b-9292-521728d561d0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1267362270.921:48725): avc:  denied  { read write } for  pid=4981 comm="plymouth" path="/var/log/cobbler/tasks/2010-02-28_130429_sync.log" dev=dm-0 ino=2758689 scontext=system_u:system_r:plymouth_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1267362270.921:48725): arch=40000003 syscall=11 success=yes exit=0 a0=93b7ed8 a1=93b4a28 a2=938efd0 a3=93b4a28 items=0 ppid=4973 pid=4981 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="plymouth" exe="/bin/plymouth" subj=system_u:system_r:plymouth_t:s0 key=(null)



Hash String generated from  leaks,plymouth,plymouth_t,var_log_t,file,read,write
audit2allow suggests:

#============= plymouth_t ==============
allow plymouth_t var_log_t:file { read write };
Comment 1 Daniel Walsh 2010-02-28 10:22:22 EST
Is this a leak, or is it intentional that cobbler is leaking the log file?

Why is cobbler starting up plymouth?
Comment 2 Simon 2010-02-28 16:21:02 EST
Sorry, Daniel, it's amateur hour I don't even know what plymouth does  I just want to install F12 to a laptop with no CDROm drive and cobbler is behaving weirdly the web application thinks DHCP isn't running or in the path but it is and the laptop is picking up the installation with pxe but it can't retrieve the install.img -possibly because Selinux is blocking some access(?) and I can't get audit2allow working either, when I try to allow all avc's since last boot...
Comment 3 Daniel Walsh 2010-03-01 10:06:05 EST
The question is toward the package owner not you Simon.

This AVC should not have blocked anything you are trying to do.

I am not sure SELinux is your problem.  This AVC would not be.

If SELinux was blocking the reading of the image, it would probably report an AVC about tftpboot.

If it is the creation of the image it would be around cobbler.  But SELinux might be a red herring.
Comment 4 Bug Zapper 2010-11-03 17:08:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 17:14:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.